package psapplets;

import java.applet.*;
import java.awt.*;
import psplot.*;
import real.*;

class psSimpleCanvas extends PlotCanvas {
	public psSimpleCanvas(Applet app, int w, int h) {
		super(app, w, h);
		double ht = 3;
		// preserve aspect ratio
		double wd = w*(ht/h);
		setCorners(-wd, -ht, wd, ht);
	}
	
	public void draw() {
		PlotPath p;
		p = new PlotPath(this);
		p.moveto(-0.5, -0.5);
		p.lineto( 0.5, -0.5);
		p.lineto( 0.5,  0.5);
		p.lineto(-0.5, 0.5);
		p.close();
		p.fill(Color.red);
		p.stroke(Color.black);
	}
	
}

public class psSimpleApplet extends Applet {
	psSimpleCanvas p;
	Thread th;
	
	public void init() {
		p = new psSimpleCanvas(this, bounds().width, bounds().height);
		add(p);
		show();
	}
}
