package psplot;

import real.*;

public abstract class parametrization {
	abstract RealPoint f(double t);
}

class circle extends parametrization {
	double r, x, y;
	
	public circle(RealPoint c, double r) {
		this.r = r;
		x = c.x; y = c.y;
	}
	
	public circle(double x, double y, double r) {
		this.r = r;
		this.x = x; this.y = y;
	}
	
	RealPoint f(double t) {
		double x0 = x + r*Math.cos(t);
		double y0 = y + r*Math.sin(t);
		return(new RealPoint(x0, y0));
	}
}